Subject: Re: [PATCH v2 net-next 3/6] sfc: optional logging of TC offload errors

From: Jakub Kicinski <[email-masked]>
Date: Wed, 28 Sep 2022 18:15:04 -0700

On Wed, 28 Sep 2022 22:14:37 +0100 Edward Cree wrote:
> On 28/09/2022 20:07, Jakub Kicinski wrote:
> > Let's solve practical problems first :) The cases with multiple devices
> > offloading are rare AFAIK.  
> 
> I know of someone who is working on such a use-case for the Alveo U25N
>  and running into Interesting difficulties with the same rule getting
>  offloaded twice; they probably would care about getting both devices'
>  error messages.  I know the plural of anecdote is not data; but I
>  think it's not so rare that we can completely ignore it.

Hm. I wonder if throwing a tracepoint into the extack setting
machinery would be a reasonable stop gap for debugging.